name: Cleanup Untagged Images

on:
  workflow_dispatch:

jobs:
  delete-untagged-images:
    name: Delete Untagged Images
    runs-on: ubuntu-latest
    steps:
      - uses: bots-house/ghcr-delete-image-action@v1.1.0
        with:
          owner: mendableai
          name: firecrawl
          # NOTE: using Personal Access Token
          token: ${{secrets.GITHUB_TOKEN}}
          # Keep latest N untagged images
          untagged-keep-latest: 5